Subject: [rohc] GSW and performance

From: Karthik Balaguru <[email-masked]>
Date: Mon, 27 Apr 2009 18:48:10 +0530

Hi,

Increasing the GSW size could reduce the performance.
So, What could be the optimal GSW size for good performance while 
considering the Feedback options w.r.t the LOSS Option ?

Thx in advans,
Karthik Balaguru

______________________________________________________________________

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 27 Apr 2009 17:01:52 +0200

> considering the Feedback options w.r.t the LOSS Option ?

Karthik,

I don't think you will get good input from your two-liner questions.
You need to explain more of the context you are coming from and what  
problem you are trying to solve.
It may help to read:
   http://www.catb.org/~esr/faqs/smart-questions.html

How much sliding window your compressor needs depends a lot on what  
your compressor does.
Section 6 of RFC 3095 is about implementation issues, please read again:

6.  Implementation issues

    This document specifies mechanisms for the protocol and leaves many
    details on the use of these mechanisms to the implementers.  This
    chapter is aimed to give guidelines, ideas and suggestions for
    implementing the scheme.

Section 5.7.6.9 tells you a lot about how the information in the LOSS  
option could be used by the compressor.

Gruesse, Carsten

---

From: Karthik Balaguru <[email-masked]>
Date: Tue, 28 Apr 2009 16:40:39 +0530

Hi,

In the case of LOSS option in Feedback packet,  if there is a large number 
of
sequential packet drops, then the gsw size should be increased accordingly 
to minimize 
the losses at decompressor.

But, 
If we increase the size to a large value (example - 50 or more), then it 
will take
lot of time(processing cycles/cpu cycles) to operate(Encoding) on the gsw 
as it 
has to consider all the values inside the window .

So, what could be the optimal gsw size such that it does not affect the 
performance(processing cycles/cpu cycles) and also the packet drops.

Thx in advans,
Karthik Balaguru

Carsten Bormann <[email-masked]> 
04/27/2009 08:31 PM

To
Karthik Balaguru <[email-masked]>
cc
[email-masked]
Subject
Re: [rohc] GSW and performance

Karthik,

6.  Implementation issues

Gruesse, Carsten

---

From: Karthik Balaguru <[email-masked]>
Date: Tue, 28 Apr 2009 18:57:45 +0530

Hi,

But,
If we increase the size to a large value (example - 50 or more), then it
will take
lot of time(processing cycles/cpu cycles) to operate(Encoding) on the gsw as
it
has to consider all the values inside the window .

Thx in advans,
Karthik Balaguru

On Mon, Apr 27, 2009 at 8:31 PM, Carsten Bormann <[email-masked]> wrote:

>  http://www.catb.org/~esr/faqs/smart-questions.html<http://www.catb.org/%7Eesr/faqs/smart-questions.html>
>
> How much sliding window your compressor needs depends a lot on what your
> compressor does.
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
>